version: '3.8'

services:
  web:
    build:
      context: web
      dockerfile: Dockerfile
    container_name: vector-search-web
    ports:
      - 8000:8000
    depends_on:
      - backend

  backend:
    build:
      context: backend
      dockerfile: Dockerfile
    container_name: vector-search-backend
    ports:
      - 8888:8888
#    depends_on:
#      - vector-db

  vector-db:
    image: milvusdb/milvus:v2.3.9
    command: milvus run standalone 1
    container_name: milvus-standalone
    security_opt:
      - seccomp:unconfined
    environment:
      ETCD_USE_EMBED: "true"
      ETCD_DATA_DIR: "/var/lib/milvus/etcd"
      ETCD_CONFIG_PATH: "/milvus/configs/embedEtcd.yaml"
      COMMON_STORAGETYPE: "local"
    volumes:
      - ./volumes/milvus:/var/lib/milvus
      - ./embedEtcd.yaml:/milvus/configs/embedEtcd.yaml
    ports:
      - "19530:19530"
      - "9091:9091"
      - "2379:2379"
    healthcheck:
      test: [ "CMD", "curl", "-f", "http://127.0.0.1:9091/healthz" ]
      interval: 30s
      timeout: 20s
      retries: 3
      start_period: 90s

#  fulltext-db:
#    image: getmeili/meilisearch:latest
#    ports:
#      - "7700:7700"
#    environment:
#      - MEILI_ENV=development
#      - http_proxy
#      - https_proxy
##      - MEILI_MASTER_KEY=${MEILI_MASTER_KEY:-masterKey}
##      - MEILI_NO_ANALYTICS=${MEILI_NO_ANALYTICS:-true}
##      - MEILI_ENV=${MEILI_ENV:-development}
##      - MEILI_LOG_LEVEL
##      - MEILI_DB_PATH=${MEILI_DB_PATH:-/data.ms}
#    volumes:
#      - ./meili_data:/meili_data
#    restart: unless-stopped


networks:
  default:
    name: vector
